name: PsychoHistory
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "16.0"
  generateEmptyDirectories: true

settings:
  base:
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_IDENTITY: "-"
    CODE_SIGN_STYLE: Automatic

targets:
  PsychoHistory:
    type: application
    platform: macOS
    sources:
      - Sources
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.PsychoHistory
        INFOPLIST_FILE: Sources/Info.plist
        PRODUCT_NAME: PsychoHistory
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        COMBINE_HIDPI_IMAGES: YES
